function open_breakdown(event) {
	let scene = event.dataset.scene;
	Array.from(document.getElementById("breakdown-list").children).forEach(
		(breakdown) => {
			let breakdown_scene_title = breakdown.querySelector(
				".breakdown-block-title"
			).textContent;
			if (
				breakdown_scene_title == scene ||
				breakdown.dataset.current == "true"
			) {
				breakdown.classList.remove("hidden");
			} else {
				breakdown.classList.add("hidden");
			}
		}
	);
}

function hide_empty_summaries() {
	let summary_divs =
		document.getElementById("summary-list").firstElementChild.children;
	Array.from(summary_divs).forEach((summary) => {
		let checks_remaining =
			summary.querySelector(".summary-checks").dataset.checksRemaining;
		let entrances_remaining =
			summary.querySelector(".summary-entrances").dataset.entrancesRemaining;
		if (
			summary.dataset.scene != "Posterity" &&
			summary.dataset.scene != "Resurrection" &&
			summary.dataset.scene != "Loading" &&
			checks_remaining <= 0 &&
			entrances_remaining <= 0 &&
			summary.dataset.current == "false"
		) {
			summary.classList.toggle("hidden");
		}
	});
}

function notices_ur_debug() {
	document.getElementById("debug-block").classList.toggle("hidden");
}
